#### D.4.16.44 hom

Procedure from library `modules.lib` (see modules_lib).

Return:
  calculates Hom(M,N) as a subquotient and yields an interpretation for the elements

Example:

    LIB "modules.lib";
    "Example:";
    ==> Example:
    ring R = 0,(x,y,z),dp;
    matrix a[2][3] = -x,-y^2,x^3,y,x,0;
    matrix b[1][2] = x^2-y^3,xy;
    Matrix A = a;
    Matrix B = b;
    Module M = coker(A);
    Module N = coker(B);
    hom(M,N);
    ==> subquotient (| 0  -y -y 0  -x  |, | -y3+x2 xy 0      0  |)
    ==>              | xy -x -x y3 -y2 |  | 0      0  -y3+x2 xy |
    ==>
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.